WRAPLINUX(1)

NAME
wraplinux - Create an ELF or NBI file from a Linux kernel with optional initrds.

SYNOPSIS
wraplinux [-EMNlhV][-p 'kernel parameters'][-i filename]... [-o output filename] kernel

DESCRIPTION

Takes a Linux kernel file and optional initrd files and outputs an ELF or NBI format file.

OPTIONS

kernel
    Kernel filename.

-p 'kernel parameters', --params 'kernel parameters'
    Kernel commandline parameters (probably needs to be quoted.)

-i initrd, --initrd initrd
    Initial ramdisk/ramfs filename. This option may occur multiple times.

-o filename, --output filename
    Output filename (default stdout).

-E, --elf
    Output in ELF format (default).

-M, --multiboot
    Output in ELF format with a Multiboot header.

-N, --NBI
    Output in NBI format.

-l, --load-high
    Load the Linux kernel and initrd files entirely above 1 MB (default for --multiboot, for compatibility with Grub).

--no-load-high
    Overrule the default for --multiboot (and load the appropriate components of the Linux kernel below 1 MB as required by the particular Linux kernel format version).

-h, --help
    Display a brief help message.

-V, --version
    Print the program version.

AUTHOR
Written by H. Peter Anvin <hpa@zytor.com>.

COPYRIGHT
Copyright © 2008 rPath, Inc.
Copyright © 2009-2010 Intel Corporation
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.